## gnue-common-0.6.9.zip

=== po/Makefile ===
DOMAIN = gnue-common

#XGETTEXT = xgettext --language=Python
XGETTEXT = pygettext --keyword="u_"

POTFILE = $(DOMAIN).pot
POFILES = $(shell ls *.po)
GMOFILES = $(shell ls *.po | sed -e "s/\.po/\.gmo/")

.SUFFIXES:
.SUFFIXES: .po .gmo

gmo: $(GMOFILES)

update-po:
	rm -f STATISTICS
	cd ../src; $(XGETTEXT) --output=../po/$(POTFILE) `find * -name '*.py'`
	for i in $(POFILES); do msgmerge --output-file=$$i.tmp $$i $(POTFILE) && mv $$i.tmp $$i; done
	make gmo

%.gmo: %.po
	echo -n "$*: " >> STATISTICS
	(LANGUAGE=C msgfmt --statistics --output-file=$@ $*.po 2>&1) | grep translated >> STATISTICS

.PHONY: gmo update-po

=== packaging/debian/changelog ===
gnue-common (0.6.9-0) unstable; urgency=low

  * Unofficial Debian package

 -- GNU Enterprise Team <gnue-dev@gnu.org>  Thu, 12 Jul 2007 14:17:08 +0000

=== packaging/debian/control ===
Source: gnue-common
Section: interpreters
Priority: optional
Maintainer: Andrew Mitchell <ajmitch@gnu.org>
Build-Depends-Indep: debhelper (>= 4.1.25), cdbs (>= 0.4.43), python-all-dev, python-support (>= 0.5.3)
Standards-Version: 3.6.1

Package: gnue-common
Architecture: all
Depends: ${python:Depends}, python-egenix-mxdatetime
Recommends: python-pysqlite2 | python-sqlite | python-psycopg2 | python-psycopg | python-pygresql | python-pgsql | python-mysqldb | python-kinterbasdb | python-maxdb
Suggests: gnue-forms, gnue-reports, gnue-appserver
Description: GNU Enterprise Common Library for use with the GNUe tools
 GNUe-Common provides a set of images and classes that GNUe-Forms, 
 GNUe-Reports, GNUe-Appserver and GNUe-Designer and others are dependent
 upon.
 It implements a database-abstraction layer that provides support for most
 major databases. A builtin XML-to-Object parser and Object-to-XML marshaller
 are used by Forms, Reports, and Designer to save and read Forms/Report
 definitions to and from an XML file. It also defines and implements an
 RPC abstraction layer that will allow server processes to define their
 public methods once and have them available to CORBA, XML-RPC, SOAP, and
 DCOM clients.

=== packaging/debian/rules ===
#!/usr/bin/make -f
# Written by Jeff Bailey in 2003
# This Makefile is in the public domain

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM = pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# We only want to see error messages in the output.
DEB_PYTHON_SETUP_CMD += --quiet

# Prevent build_scripts from adding Python version number to shebang-line
# (Either I don't understand something, or this is a point where CDDB doesn't
# conform to the Python policy).
DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python

# Explicitly set --prefix to avoid setup.cfg.
DEB_PYTHON_INSTALL_ARGS_ALL += --prefix=/usr
